Bug 302351 - Review Request: higlayout - Easy to use and powerful layout manager for Java
Review Request: higlayout - Easy to use and powerful layout manager for Java
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-23 15:56 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-28 15:12:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ville.skytta: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-09-23 15:56:47 EDT
Spec URL: http://people.atrpms.net/~hdegoede/higlayout.spec
SRPM URL: http://people.atrpms.net/~hdegoede/higlayout-1.0-1.fc8.src.rpm
Description:
Easy to use and powerful layout manager for Java.
Comment 1 Ville Skyttä 2007-09-25 13:52:51 EDT
"BR: java-devel" should be replaced by "BR: java-javadoc" (even if sinjdoc
doesn't do crosslinked javadocs at the moment) - java-gcj-compat-devel provides
java-devel.  Otherwise looks good to me, feel free to import and fix before the
first build.
Comment 2 Hans de Goede 2007-09-26 17:12:28 EDT
(In reply to comment #1)
> "BR: java-devel" should be replaced by "BR: java-javadoc" (even if sinjdoc
> doesn't do crosslinked javadocs at the moment) - java-gcj-compat-devel provides
> java-devel.  Otherwise looks good to me, feel free to import and fix before the
> first build.

Nothing provides java-javadoc, thats why I put java-devel there, but you are
right, that is the same as java-gcj-compat-devel. So I'll take that out before
import.

Thanks for the review!
Comment 3 Hans de Goede 2007-09-26 17:14:18 EDT
New Package CVS Request
=======================
Package Name:      higlayout
Short Description: Easy to use and powerful layout manager for Java
Owners:            jwrdegoede
Branches:          F-7 devel
InitialCC:         <empty>
Cvsextras Commits: Yes
Comment 4 Ville Skyttä 2007-09-26 18:03:59 EDT
(In reply to comment #2)
> Nothing provides java-javadoc

$ rpm -q --whatprovides java-javadoc
java-1.5.0-gcj-javadoc-1.5.0.0-14.fc7.x86_64
Comment 5 Hans de Goede 2007-09-27 07:35:23 EDT
(In reply to comment #4)
> (In reply to comment #2)
> > Nothing provides java-javadoc
> 
> $ rpm -q --whatprovides java-javadoc
> java-1.5.0-gcj-javadoc-1.5.0.0-14.fc7.x86_64
> 

Your right, I could swear I tried "yum install java-javadoc" after getting an
rpmbuild BuildRequires error for it and yum didn't do anything, ah well, I will
fix this before import.
Comment 6 Kevin Fenzi 2007-09-27 12:31:53 EDT
cvs done.
Comment 7 Hans de Goede 2007-09-28 11:07:37 EDT
Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.